<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Connection](./puppeteer.connection.md) &gt; [createSession](./puppeteer.connection.createsession.md)

## Connection.createSession() method

<b>Signature:</b>

```typescript
createSession(targetInfo: Protocol.Target.TargetInfo): Promise<CDPSession>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  targetInfo | Protocol.Target.TargetInfo |  |

<b>Returns:</b>

Promise&lt;[CDPSession](./puppeteer.cdpsession.md)<!-- -->&gt;

{<!-- -->!Promise<!-- -->&lt;<!-- -->!CDPSession<!-- -->&gt;<!-- -->}

